complexType "TradeIdentifyingItems"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | partyTradeIdentifier*, tradeDetails?
</...>

Content Model Elements (2):

  partyTradeIdentifier (defined in TradeIdentifyingItems complexType),
  tradeDetails

All Direct / Indirect Based Elements (2):

  tradeIdentifyingItems (defined in NettedTradeCashflows.model group),
  tradeIdentifyingItems (defined in TradeCashflows.model group)

Known Usage Locations

- As direct type of elements (2):
  tradeIdentifyingItems (defined in NettedTradeCashflows.model group),
  tradeIdentifyingItems (defined in TradeCashflows.model group)

Annotation
Data elements that can be used to identify the trade for which cashflows are being communicated. This includes both explicit trade identifiers and summary economic details.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="TradeIdentifyingItems"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="tradeDetails" type="TradeDetails"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
partyTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  Structure defining one or more trade identifiers allocated to the trade by a party. It is expected that for external communication of trade there will be only one tradeId sent in the document per party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/>

tradeDetails

  Type: | TradeDetails, complex content

  Structure that holds some trade-specific elements for identifying the trade only in the case of trades that have not been negotiated through electronic platforms and for which the counterparty's trade ID has not been captured.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tradeDetails" type="TradeDetails"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.